> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nameshouts.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Name information from List.

```http GET theme={"system"}
GET https://api.nameshouts.com/api/v2.0/user/user-list/get-name-group-from-user-list?email=jane.doe@example.com&user_list_id=49909&name=Jane-A-Doe
```

This endpoint returns a specific name that belongs to a list.

***Note:*** For a name that is recorded by a user, **is\_custom** flag will be set to true. The response object for a custom name has slightly different attributes compared to a name from the NameShouts database.

**NameShouts Default**

These are the relevant attributes from the response object when the name is not custom.

| **Attributes** | **Description** |
| - | - |
| names | The "names" array contains all the relevant name information split into individual components. The three relevant fields here are: **name\_phonetic:** phonetic Version of the Name. **language\_id:** The id of the language for the audio. To get the language name, see the language section above. **path\_directory:** Audio Path will give you the link to our audio file on the server. Please note that all our audio files are in .mp3 format. The path for the audio will be: [**https://nslibrary01.blob.core.windows.net/ns-audio/\{path**](https://nslibrary01.blob.core.windows.net/ns-audio/%7Bpath) **value}.mp3** Note that the file type (.mp3) needs to be concatenated with our path value.  Within the **pivot** object, there is also the **user\_list\_name\_group\_id.** This is a unique identifier for the name within the list. We need this value to remove the name. |
| user\_email | This is the email of the person who has either verified or added their own name. |
| is\_custom | This is a boolean flag. If this is true that means this name has been recorded by a user and is not available on the NameShouts database. |
| verified\_name\_id | This is a unique identifier that is used to generate the verification link along with the list\_id. |
| is\_verified | This is a boolean again and this means that the user has verified the name pronunciation here. |

**NameShouts User Recorded Name**

For the user recorded name, "user\_email", "is\_custom" and "is\_verified" is similar. The name information for the full name is combined as shown in the example below.

| **Attributes** | **Description** |
| - | - |
| name\_group\_id | This is a unique identifier that is used to identify the name within the list. |
| names | The names array contains the following information: **name:** The full name of the user. **name\_phonetic:** The full phonetic of the name as entered by the user. Note this is optional and may be null. **language\_of\_origin:** The language of origin for the name. Again this is optional and can be blank. **path\_directory:** Audio Path will give you the link to our audio file on the server. NOTE: *The path for the audio for recorded name will be different from our default names:* [**https://nslibrary01.blob.core.windows.net/user-uploads/\{path\_directory}**](https://nslibrary01.blob.core.windows.net/user-uploads/%7Bpath_directory%7D) |

### How to get the verification link for a name on the list?

To get the verification name for a particular user, you would need the **list\_id and the verification\_id from the response object.**

Once the user is logged into to NameShouts, if they click on the following link, they will be able to access the verification screen on the application.

**[https://app2.nameshouts.com/verify-list-name?id=\{](https://app2.nameshouts.com/verify-list-name?id=11161\&list_id=44983)verified\_name\_id}[\&list\_id=](https://app2.nameshouts.com/verify-list-name?id=11161\&list_id=44983)\{user\_list\_id}**

## Authorization

| Bearer Token | |
| - | - |
| Token | `<token>` |

## Params

**email** `string`

An optional parameter to narrow down the search by providing the email of the user associated with the name. Using this parameter can provide more accurate results.

Example: `jane.doe@example.com`

**user\_list\_id** `string`

Example: `49909`

**name** `string`

Example: `Jane-A-Doe`

## Examples

### Get Name information from List - Default

**Example Request**

```bash curl theme={"system"}
curl --location 'https://api.nameshouts.com/api/v2.0/user/user-list/get-name-group-from-user-list?user_list_id=16694&name=benjamin-garder'
```

**Example Response** · `200 OK`

```json Body theme={"system"}
[
    {
        "names": [
            {
                "id": 249271,
                "name": "Benjamin",
                "name_phonetic": "ben-juh-min",
                "gender": "male",
                "language_id": 18,
                "path_directory": "benjamin_en",
                "public": 1,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00",
                "pivot": {
                    "user_list_name_group_id": 55399,
                    "name_id": 249271
                }
            },
            {
                "id": 266971,
                "name": "Garder",
                "name_phonetic": "gar-der",
                "gender": "male",
                "language_id": 18,
                "path_directory": "garder_en",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00",
                "pivot": {
                    "user_list_name_group_id": 55399,
                    "name_id": 266971
                }
            }
        ],
        "user_email": null,
        "verified_name_id": 28627,
        "is_custom": 0,
        "is_verified": 0
    }
]
```

**Headers (6)**

| Key | Value |
| - | - |
| Server | nginx/1.14.0 (Ubuntu) |
| Content-Type | application/json |
| Transfer-Encoding | chunked |
| Connection | keep-alive |
| Cache-Control | no-cache, private |
| Date | Thu, 14 Sep 2023 04:20:12 GMT |

### Get Name from a User List-Custom Name

**Example Request**

```bash curl theme={"system"}
curl --location -g '{{base_url}}/api/v2.0/user/user-list/get-name-group-from-user-list?user_list_id=12&name=naureenr-anwar'
```

**Example Response** · `200 OK`

```json Body theme={"system"}
{
    "name_group_id": 58,
    "names": [
        {
            "name": "Naureenr Anwar",
            "phonetic": null,
            "path_directory": "uploads/64eacca0cafaf1693109408_.mp3",
            "language_of_origin": null,
            "created_at": "2023-08-27T04:10:09.000000Z",
            "updated_at": "2023-08-27T04:10:09.000000Z"
        }
    ],
    "user_email": "test2@test.com",
    "verified_name_id": 49,
    "is_custom": 1,
    "is_verified": 1
}
```

**Headers (9)**

| Key | Value |
| - | - |
| Server | nginx/1.23.3 |
| Content-Type | application/json |
| Transfer-Encoding | chunked |
| Connection | keep-alive |
| Vary | Accept-Encoding |
| X-Powered-By | PHP/7.4.33 |
| Cache-Control | no-cache, private |
| Date | Thu, 14 Sep 2023 04:30:16 GMT |
| Content-Encoding | gzip |

```bash cURL theme={"system"}
curl --location 'https://api.nameshouts.com/api/v2.0/user/user-list/get-name-group-from-user-list?email=jane.doe%40example.com&user_list_id=49909&name=Jane-A-Doe' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
```

```json Get Name information from List - Default (200) theme={"system"}
[
    {
        "names": [
            {
                "id": 249271,
                "name": "Benjamin",
                "name_phonetic": "ben-juh-min",
                "gender": "male",
                "language_id": 18,
                "path_directory": "benjamin_en",
                "public": 1,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00",
                "pivot": {
                    "user_list_name_group_id": 55399,
                    "name_id": 249271
                }
            },
            {
                "id": 266971,
                "name": "Garder",
                "name_phonetic": "gar-der",
                "gender": "male",
                "language_id": 18,
                "path_directory": "garder_en",
                "public": 0,
                "created_at": "2020-06-30 00:08:00",
                "updated_at": "2020-06-30 00:08:00",
                "pivot": {
                    "user_list_name_group_id": 55399,
                    "name_id": 266971
                }
            }
        ],
        "user_email": null,
        "verified_name_id": 28627,
        "is_custom": 0,
        "is_verified": 0
    }
]
```

```json Get Name from a User List-Custom Name (200) theme={"system"}
{
    "name_group_id": 58,
    "names": [
        {
            "name": "Naureenr Anwar",
            "phonetic": null,
            "path_directory": "uploads/64eacca0cafaf1693109408_.mp3",
            "language_of_origin": null,
            "created_at": "2023-08-27T04:10:09.000000Z",
            "updated_at": "2023-08-27T04:10:09.000000Z"
        }
    ],
    "user_email": "test2@test.com",
    "verified_name_id": 49,
    "is_custom": 1,
    "is_verified": 1
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.